{ pkgs, ... }:
with pkgs;
rustPlatform.buildRustPackage rec {
  pname = "comet-gog";
  version = "e313c8a";

  src = fetchFromGitHub {
    owner = "imLinguin";
    repo = "comet";
    rev = "62bcdd89d09d914edec6d2201891f292527d7b28";
    hash = "sha256-CZDx5vgWuG58yaoVvbfOASoULM1HnQxTmVWLa63ci9Q=";
    fetchSubmodules = true;
  };

  PROTOC = "${protobuf}/bin/protoc";
  PROTOC_INCLUDE = "${protobuf}/include";
  nativeBuildInputs = [ protobuf ];

  cargoLock.lockFile = src + /Cargo.lock;
}
